[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#219490: marked as done (libtool: Completely dumb assumption can make -fPIC test fail)

Your message dated Mon, 19 Sep 2005 14:47:31 -0700
with message-id <E1EHTU3-00048c-00@spohr.debian.org>
and subject line Bug#219490: fixed in libtool 1.5.20-1
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

Received: (at submit) by bugs.debian.org; 6 Nov 2003 22:16:46 +0000
>From josselin.mouette@ens-lyon.org Thu Nov 06 16:16:45 2003
Return-path: <josselin.mouette@ens-lyon.org>
Received: from tc2.perso.ens-lyon.org (arrakis.localnet) [] 
	by master.debian.org with esmtp (Exim 3.35 1 (Debian))
	id 1AHsQn-00010k-00; Thu, 06 Nov 2003 16:16:45 -0600
Received: from joss by arrakis.localnet with local (Exim 4.24)
	id 1AHsQg-0004RS-Lh; Thu, 06 Nov 2003 23:16:38 +0100
Date: Thu, 6 Nov 2003 23:16:37 +0100
From: Josselin Mouette <joss@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libtool: Completely dumb assumption can make -fPIC test fail
Message-ID: <20031106221637.GA7635@rakis.mine.nu>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
X-Reportbug-Version: 2.36
User-Agent: Mutt/1.5.4i
Sender: Josselin Mouette <josselin.mouette@ens-lyon.org>
Delivered-To: submit@bugs.debian.org
X-Spam-Status: No, hits=-5.0 required=4.0
X-Spam-Checker-Version: SpamAssassin 2.53-bugs.debian.org_2003_11_03 (

Package: libtool
Version: 1.5-5
Severity: normal

The test for whether the -fPIC flag is working is completely stupid.
I've obtained this in the configure script of a package generated with 
libtool 1.5-4:
[blah blah blah test of a 1-line program with -fPIC]
   if (exit $ac_status) && test -s "$ac_outfile"; then
     # The compiler can only warn and ignore the option if not recognized
     # So say no if there are warnings

The comments says all. Of course there can be other warnings! Especially
given that the test re-uses all previously set compiler flags!

Luckily, GCC is not prone to give warnings with 1-liners C files. Still, 
for example, using -Wpadded, it will on powerpc and alpha. This example 
made hdf5 FTBFS because -fPIC was wrongly detected as non-working on 
these arches.
 .''`.           Josselin Mouette        /\./\
: :' :           josselin.mouette@ens-lyon.org
`. `'                        joss@debian.org
  `-  Debian GNU/Linux -- The power of freedom

Received: (at 219490-close) by bugs.debian.org; 19 Sep 2005 21:53:03 +0000
>From katie@spohr.debian.org Mon Sep 19 14:53:03 2005
Return-path: <katie@spohr.debian.org>
Received: from katie by spohr.debian.org with local (Exim 3.36 1 (Debian))
	id 1EHTU3-00048c-00; Mon, 19 Sep 2005 14:47:31 -0700
From: Kurt Roeckx <kurt@roeckx.be>
To: 219490-close@bugs.debian.org
X-Katie: $Revision: 1.56 $
Subject: Bug#219490: fixed in libtool 1.5.20-1
Message-Id: <E1EHTU3-00048c-00@spohr.debian.org>
Sender: Archive Administrator <katie@spohr.debian.org>
Date: Mon, 19 Sep 2005 14:47:31 -0700
Delivered-To: 219490-close@bugs.debian.org
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2005_01_02 
	(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Status: No, hits=-6.0 required=4.0 tests=BAYES_00,HAS_BUG_NUMBER 
	autolearn=no version=2.60-bugs.debian.org_2005_01_02
X-CrossAssassin-Score: 3

Source: libtool
Source-Version: 1.5.20-1

We believe that the bug you reported is fixed in the latest version of
libtool, which is due to be installed in the Debian FTP archive:

  to pool/main/libt/libtool/libltdl3-dev_1.5.20-1_i386.deb
  to pool/main/libt/libtool/libltdl3_1.5.20-1_i386.deb
  to pool/main/libt/libtool/libtool-doc_1.5.20-1_all.deb
  to pool/main/libt/libtool/libtool_1.5.20-1.diff.gz
  to pool/main/libt/libtool/libtool_1.5.20-1.dsc
  to pool/main/libt/libtool/libtool_1.5.20-1_i386.deb
  to pool/main/libt/libtool/libtool_1.5.20.orig.tar.gz

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 219490@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Kurt Roeckx <kurt@roeckx.be> (supplier of updated libtool package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.7
Date: Wed, 14 Sep 2005 21:11:24 +0200
Source: libtool
Binary: libtool-doc libltdl3 libtool libltdl3-dev
Architecture: source i386 all
Version: 1.5.20-1
Distribution: unstable
Urgency: low
Maintainer: Kurt Roeckx <kurt@roeckx.be>
Changed-By: Kurt Roeckx <kurt@roeckx.be>
 libltdl3   - A system independent dlopen wrapper for GNU libtool
 libltdl3-dev - A system independent dlopen wrapper for GNU libtool
 libtool    - Generic library support script
 libtool-doc - Generic library support script
Closes: 219490 265005 302484
 libtool (1.5.20-1) unstable; urgency=low
   * New maintainer (Closes: #302484)
   * New upstream release (Closes: #265005)
     - Configure test to detect -fPIC support in combination with other CFLAGS
       could fail to detect if it's supported. (1.5.16)  (Closes: #219490)
     - ia64 tests should have been fix, run them again. (1.5.10)
     - Fix .libs/.libs/libfoo.so link problem when linking against an other lib
       from the same package. (1.5.8)
   * Enable gcj on hppa again since gcj-4.0 is available on it.
   * Enable the test suite on m68k again, slow is not a good reason not to run
   * Move ltdl.m4 from libtool to libltdl-dev package, where it belongs.
     Add a conflicts/replaces from libltdl-dev to the libtool package.
   * Remove usr/share/libtool/libltdl3.
   * Make the libtool.m4 in /usr/share/libtool a symlink to the one in
   * libltdl3-dev.preinst: No longer remove the old directory on upgrade.
     libltdl3-dev.preinst does nothing now so remove the file.
   * libtool.postinst: We don't run ltconfig anymore, so don't play with
     cc's alternatives.
   * Put the config.guess and config.sub symlinks in the package instead
     of creating them in the libtool.postinst.  Remove the libtool.postinst
     and libtool.prerm scripts since they do nothing now.
   * Add AUTHORS, README, THANKS and TODO in the docs dir.
   * Remove obsolete conflicts/replaces for libltdl0.1 and libltdl0,
     it's not even in woody.
   * Split out patches, and convert to using dpatch
   * Always do a full bootstrap of the configure scripts before
     building so I only have to patch 1 file.
   * Embed the debian version in libtool.m4 and ltmain.in/sh
   * Add a watch file.
 f79cc840f7dacdc446706ed1c1cd8106 739 devel optional libtool_1.5.20-1.dsc
 fc3b564700aebcb19de841c1c2d66e99 2789331 devel optional libtool_1.5.20.orig.tar.gz
 4b69382544d597f60b7cf365ece95c87 13067 devel optional libtool_1.5.20-1.diff.gz
 d08be3744386819d6eea7ba71ab4161c 334396 doc optional libtool-doc_1.5.20-1_all.deb
 af6380aab478e26992dabafaa1c16be1 315258 devel optional libtool_1.5.20-1_i386.deb
 6e09f10e9c3324455572641bf0190fb5 163174 libs optional libltdl3_1.5.20-1_i386.deb
 1e839aaf602165dbe9a0d2674552d893 20990 libdevel optional libltdl3-dev_1.5.20-1_i386.deb

Version: GnuPG v1.4.1 (GNU/Linux)


Reply to: